Error 1603 when installing Exchange 2010 SP3 Rollup 7

Scenario:

Trying to install Rollup 7 on a Windows Server 2008 R2, system running Exchange 2010 SP3 Rollup 6.

Problem – error code 1603

The installer for Exchange 2010 Rollup 6 has failed and has returned error code 1603.

Recent changes:

NetApp filer was updated to OnTAP 8.2.1.

Solution:

I had upgraded SnapManager for Exchange to version 7.0, which required Powershell version3.0, which is not compatible with Exchange 2010.  So, after the un-install of SnapManager v 7.0 and uninstall Powershell 3.0 (KB2506143), I restarted the system.  I ran the rollup successfully and installed SnapManager for Exchange version 6.1.  I restarted the system and all was well.

powershell 3
Windows Management Framework 3.0

What to look for:

Check you installed updates in the Control Panel for KB2506143.  You will need to remove this and restart, before you can proceed with the install of Rollup 7, or any Rollup for that matter.  I hope this information has helped one of you out there.

6 comments

  1. When attempting to upgrade to SP3 the pre-install checks all pass but when it gets to the removal of Exchange part of the install the following error is thrown and the install fails.

  2. When attempting to upgrade to SP3 the pre-install checks all pass but when it gets to the removal of Exchange part of the install the following error is thrown and the install fails.

  3. We have read numerous articles about the blogger lovers except this
    article is truly a pleasant paragraph, ensure that is stays up.

  4. thanks for this, one of our servers had powershell 3 on for some reason.
    this is the only page on google which fixed the problem!

Leave a Reply

Your email address will not be published. Required fields are marked *